Bug 850347 - Introduce new systemd-rpm macros in tuned spec file
Introduce new systemd-rpm macros in tuned spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tuned (Show other bugs)
18
All Linux
low Severity low
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 10:13 EDT by Lukáš Nykrýn
Modified: 2013-03-19 16:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 16:12:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 10:13:36 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Jan Vcelak 2012-11-07 07:26:01 EST
Not critical, we won't update the spec till this is supported in Fedora stable release and newer. (We want to have all the branches in dist-git matching.)
Comment 2 Fedora Admin XMLRPC Client 2013-02-04 16:44:46 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Jaroslav Škarvada 2013-02-14 05:01:10 EST
Pushed upstream. It will be part of the next tuned release. Upstream commit:
http://git.fedorahosted.org/cgit/tuned.git/commit/?id=8e80acd04ccdf8106bd6aeaa286634b05d872c3b
Comment 4 Fedora Update System 2013-03-01 08:35:51 EST
tuned-2.2.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tuned-2.2.1-1.fc18
Comment 5 Fedora Update System 2013-03-02 14:52:32 EST
Package tuned-2.2.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tuned-2.2.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3205/tuned-2.2.1-1.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-03-08 03:56:36 EST
tuned-2.2.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tuned-2.2.1-2.fc18
Comment 7 Fedora Update System 2013-03-19 16:12:33 EDT
tuned-2.2.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.